﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace hyperbola
{
    public partial class Form1 : Form
    {
        private double stepX, stepY;
        private int a, b, c;
        private Boolean draw = false;
        public Form1()
        {
            InitializeComponent();
            stepX = 101.0 / this.Width;
            stepY = this.Height/101.0;

        }

        private void konecToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void hyperbolaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            parametry param = new parametry();
            if (param.ShowDialog() == DialogResult.OK)
            {
                a = param.getA();
                b = param.getB();
                c = param.getC();
                draw = true;
                Refresh();
            }
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            double x=-50, y, y1;
            drawAxis();
            if (draw)
            {
                y = ((a / (b * (x))) + c);
                
                using (Graphics g = CreateGraphics())
                {
                    for (int i = 1; i < this.Width; i++)
                    {
                        
                        y1 = y;
                        double curX = x + i * stepX;
                        y = (a / (b * (curX))) + c;
                        if (y * y1 < 0) y1 = 50;
                        double tmpY = y * stepY;
                        double tmpY1 = y1 * stepY;
                        int coorY = (int)(tmpY);
                        int coorY1 = (int)(tmpY1);
                        g.DrawLine(Pens.Red, i - 1, (this.Height/2) - coorY1, i,
                            (this.Height/2) - coorY);
                    }
                }
            }
        }

        private void drawAxis()
        {
            using(Graphics g=CreateGraphics())
            {
                g.DrawLine(Pens.Black, 0, this.Height / 2, this.Width, this.Height / 2);
                g.DrawLine(Pens.Black, (int)((Width-Width/101)/2), 0,(int)((Width - Width/101)/2), this.Height);
            }
            

        }

        private void Form1_Resize(object sender, EventArgs e)
        {
            
            stepX = 101.0 / this.Width;
            stepY = this.Height / 101.0;
            this.Refresh();    
        }
    }
}
